IBM Alphablox 9.5.7 release notes

News


Abstract

Welcome to the V9.5.7 release of IBM Alphablox.

Content

IBM Alphablox version 9.5.7 is now available. The IBM Alphablox version 9.5.7 is based on the Alphablox version 9.5.2 product. This document describes the enhancements, changes, fixes and known issues in this release.

Updated on 27 August 2009. This document supersedes the document that is included with the IBM Alphablox 9.5.7 release.

Enhancements:

  • Alphablox version 9.5.7 supports generated Blox PDF files to be viewed in Adobe Acrobat 9.
  • Alphablox version 9.5.7 supports WebSphere Application Server version 7.
  • The POI jar that is used to render Blox in Microsoft Excel format has been updated from v2.5 to v3.1.
Supported platforms
  • IBM xSeries and other OEM Intel™ based servers
  • POWER: pSeries servers
  • Sun SPARC
  • zSeries (for zLinux only)
  • HP-UX Itanium
Server operating systems
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on x86 (32-bit) with SP2
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on AMD64 and EM64T (64 bit) with SP1
  • Sun Solaris 9, 10 (64-bit)
  • AIX 5.3, 6.1 (64-bit)
  • Redhat Enterprise Linux 5 (AMD64 (64-bit), EM64T (64-bit), and POWER (64-bit))
  • SUSE Linux 10 (AMD64 (64-bit), EM64T (64-bit), and POWER (64-bit))
  • zLinux (SUSE 10 64-bit only)
Application servers
  • IBM WebSphere 6.1, 7.0, 7.0.0.3 (Express editions included). Clustering is supported.
  • Apache Tomcat 5.5.23, 5.5.25 (64-bit JVM is supported on all supported operating systems). Clustering is not supported
  • BEA Weblogic 8.1.6
Supported databases
Database type Databases
Multidimensional databases (32-bit versions, unless specified)
 
  • Hyperion Essbase 7.1.5, System 9- 32bit bridge interface
  • Hyperion Essbase Deployment Services (EDS) 7.1.5, System 9- 32bit bridge interface
  • Hyperion Essbase Integration Services (EIS) 7.1.5, System 9- 32bit bridge interface
  • Microsoft SQL Server Analysis Services 2005 - 32bit bridge interface
  • Microsoft SQL Server Analysis Services 2000 - 32bit
  • IBM Cubing Services
Relational data sources
  • DB2 UDB 9.1 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • DB2 UDB 9.5 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • DB2 UDB 9.7 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • DB2 for z/OS V8 and 9.1
  • Oracle Database 10, 11
  • Microsoft SQL Server 2005 FP1
  • Informix Dynamic Server 11.1 (32-bit and 64-bit)
  • Apache Derby 10.0 (32-bit)
Relational databases for Alphablox repository
  • DB2 UDB 9.1 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • DB2 UDB 9.5 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • DB2 UDB 9.7 for Linux (zLinux, SuSE Linux Enterprise Server 10), UNIX and Windows
  • Oracle Database 10, 11
  • Microsoft SQL Server 2005 FP1
  • Informix Dynamic Server 11.1 (32-bit)
  • Apache Derby 10.0 (32-bit)
Portal servers
  • WebSphere Portal Server Version 6.0.1
Server operating systems for Essbase 'C' API bridge (32-bit JVMs only)
  • Windows 2003 Server (Standard, Enterprise and Data Center editions) on x86 with SP1
  • Sun Solaris 9, 10
  • AIX 5.3, 6.1
  • Redhat Enterprise Linux 5 on x86
Integrated Development Environment
  • IBM Rational Application Developer for WebSphere Software (RAD) V7 (English only)
  • Eclipse 3.2.2 plug-in (Eclipse and RAD)
  • Eclipse 3.4 plug-in (Eclipse and RAD)
Browsers
  • Internet Explorer 6.0 SP2, 7.0 and 8.0
  • Firefox 3.1.X
Browser operating systems
  • Windows XP Professional SP2
  • SUSE Linux 10 (32 bit only) (Firefox)
  • Red Hat Enterprise Linux 4, 5 (32 bit only) (Firefox)
Eclipse ATP Client supported OS
  • Windows XP Professional SP2 (32 Bit)
Java Virtual Machines
  • WebLogic 8: JDK 1.4.2
  • WebSphere 6.0: JDK 1.4.2
  • WebSphere 6.1: JDK 1.5
  • WebSphere 7: JDK 1.6
  • Apache Tomcat: JDK 1.5 only (even though Apache supports both)
International Components for Unicode (ICU)
  • Alphablox currently ships ICU4J 3.4.5
NetCharts
  • NetCharts V5
Microsoft Excel
  • Excel 2003
  • Excel XP (for export to Excel)
  • 2007 Microsoft Office System
Adobe Acrobat Reader
  • Adobe Acrobat Reader 8.0
  • Adobe Acrobat Reader 9.0
The following platforms will no longer be supported:
  • Adobe Acrobat Reader 7.0
  • IBM DB2 Universal Database V8.2.3 on Linux (SuSE Linux Enterprise Server 10), UNIX and Windows
  • Informix Dynamic Server 10.0, 10.5 (32-bit and 64-bit)
  • Oracle 9i
Changes to the installation programs

The 9.5.7 version of Alphablox that you purchased with IBM InfoSphere Warehouse is no longer installed by the IBM InfoSphere™ Warehouse installation program. The Alphablox version 9.5.7 has two installation programs. One is for installing Alphablox on a system on which InfoSphere Warehouse is installed, and the other is for installing Alphablox on a system on which InfoSphere Warehouse is not installed.

If you are installing Alphablox with InfoSphere Warehouse, follow the directions in this document. If you are installing Alphablox without InfoSphere Warehouse, follow the directions in the Alphablox Installation Guide:

http://publib.boulder.ibm.com/infocenter/ablxhelp/v9r5m0/index.jsp?topic=/com.ibm.db2.abx.ins.doc/abxinstall_home.htm

Blox Builder software is not included in InfoSphere Warehouse 9.7 installer nor is Blox Builder feature included in InfoSphere Warehouse 9.7 client. InfoSphere Warehouse client users who want to use the Blox Builder feature need to install the Blox Builder plug-ins using the Eclipse Updater.

Installing Alphablox with InfoSphere Warehouse
  1. Make sure the InfoSphere Warehouse v9.7 is installed, then run the runFirst Utility in a command prompt.
    • Windows

      runFirst.bat

    • Linux or UNIX

      runFirst.sh

    Note: If you run setup.exe (for Windows) or setup.sh (for Linux or UNIX) instead, an error will occur.
  2. Enter the complete installation directory where the InfoSphere Warehouse v9.7 is installed, then press Enter. The Alphablox installation wizard starts.
  3. Complete the installation wizard.
Installing Blox Builder in the Design Studio of InfoSphere Warehouse version 9.7

Blox Builder feature is not included in the InfoSphere Warehouse 9.7 installer nor is Blox Builder feature included in InfoSphere Warehouse 9.7 client. If you want to use Blox Builder feature in InfoSphere Warehouse client, you need to add the Blox Builder feature and plug-ins to the InfoSphere Warehouse Design Studio version 9.7 using the Eclipse Updater. You need to have an Internet connection to proceed.

  1. In the InfoSphere Warehouse client, select Help-> Software Updates, click Available Software tab, and click Add Site. A window displays prompting you to enter the location of the Blox Builder feature and plug-ins.
  2. Click Local, find the Blox Builder feature and plug-ins in the CD\tooling\atp\UpdateSite directory, and click OK.
  3. Select the Blox Builder checkbox, and click Install. The Eclipse will process the requirements and dependencies for Blox Builder, then download the Blox Builder feature and plug-ins. You need to have an Internet connection to proceed.
  4. Complete the installation wizard, then restart the Eclipse client. Now you can open the Blox Builder perspective by selecting Window-> Open Perspective-> Other.
Installing Blox Builder
Follow the directions in the link to install Blox Builder: http://publib.boulder.ibm.com/infocenter/ablxhelp/v9r5m0/topic/com.ibm.db2.abx.e2b.doc/abx_t_installe2b_18.html

Migrating Alphablox metadata, applications and the Blox Builder items

Migrating Alphablox metadata

The Alphablox Repository Migration Utility for InfoSphere Warehouse is provided to migrate metadata from the version 9.5.x database repository to the version 9.7 database repository. Before you start the Utility, you need to ensure the following steps have been completed.

  • Start the Alphablox version 9.5.7 server at least one time.
  • Shut down the Alphablox version 9.5.7 server if it is running.

The Migration Utility is located in the Alphablox_installation/bin directory. You need to change the current directory to this bin directory in a command prompt, and run the MigrateRepository.bat (for Windows), or the MigrateRepository.sh (for Linux or UNIX). Then you follow the step-by-step instructions provided by the Utility. When the steps are completed, all the source information for the DB2 for Linux, UNIX, and Windows server for version 9.5.x of the Alphablox database repository is copied to the version 9.7 database repository. Migrating the information from the source DB2 LUW Server does not override the information in the destination DB2 LUW server.

Migrating Alphablox applications

Complete the following steps to migrate the Alphablox applications that are deployed on the WebSphere Application Server for the 9.5.x version of InfoSphere Warehouse

  1. Change all the private bookmarks in the Alphablox applications to public bookmarks.
  2. Export each of the Alphablox applications as an enterprise archive (EAR) file.
  3. Import each of the EAR files into the new WebSphere Application Server. You must also manually copy the associated JSP files for each application into the new Websphere Application Server.
  4. Copy the associated JSP files for each application from the Websphere Application Server for the 9.5.x version of InfoSphere Warehouse into the new Websphere Application Server.
  5. Change the public bookmarks that are private bookmarks before the migration to public bookmarks.
Migrating the Blox Builder items

You need to first export the Blox Builder items to a new Alphablox server or to a .zip file in the Blox Builder perspective of the InfoSphere Warehouse version 9.5 Design Studio, then import these items from the Alphablox server, or a .zip file.

Fixes in the Alphablox 9.5.7 release
APAR Abstract
PJ35968 The GridBlox Alert Scope setting generates ArrayIndexOutOfBoundsException when two members are specified for a dimension.
PJ34809 Excel export fails with error "File Format is not Valid" due to downlevel POI jar file.
PJ35971 Excel Export has wrong values when export with template grid cells using K or M numeric formatting.
N/A Add support for Adobe Acrobat v9 when rendering Blox to PDF.
N/A Add support for WebSphere Application Server v7.
PJ35457 Improve performance of Database repository when querying bookmarks.
PJ35461 Alphablox client bookmark dialog renames bookmark, even if BookmarkRenameFilter processing calls method cancelEvent() on server.
PJ35151 Calculated members appear in wrong position in grid or dissappear from grid when multiple dimensions are placed on same axis.
PJ34637 depthRadius does not work correctly for pie charts.
PJ35970 Rendering jsp for Excel using URL parameter render=xls fails when using IE6 browser.
PJ33089 MSAS Member name containing "FROM" causes String Index out of Range error.
PJ35937 Error occurs when perform member filter search if member name contains a DBCS character and data source is SSAS.
PJ35184 Radar chart does not display correct values.
PJ35948 Alphablox 8.4 GA formatted times in 24-hour format, but later fixpaks switched to 12-hour format. Add option to customize time format.
PJ35661 Alphablox grid shows "#no access" instead of data value if datasource is SSAS 2005 and data type is BigInt.
Known issues
The Alphablox Javadoc for DataBlox method setPassword ( ) needs to be updated.
The setPassword (Java™.lang.String password) only applies to new data sources. If you want to change passwords for existing data sources, use the setPassword (Java.lang.String newpassword, Java.lang.String oldpassword).
The initial and maximum heap size and the generic JVM arguments for WebSphere Application Server (WAS) need to be manually set when you install the IBM Alphablox version 9.5.7 against IBM InfoSphere Warehouse version 9.7
Because the IBM Alphablox version 9.5.7 is not shipped with the InfoSphere Warehouse version 9.7, the InfoSphere Warehouse installer does not automatically set the initial and maximum heap size and generic JVM arguments for WAS. You need to manually set the heap size and the generic JVM argument in WAS 6.1 or 7, so that Alphablox 9.5.7 can work properly on Linux or UNIX, even when DISPLAY settings are not available for various reasons. The initial and maximum heap size are preferably set to be over 256 MB and 512 MB respectively.
After migrating Alphablox to 9.5.7 in InfoSphere Warehouse 9.7, only the public bookmarks are visible in the user-defined applications.
After the user-defined applications of Alphablox 9.5.x in the InfoSphere Warehouse 9.5.x are migrated to the Alphablox 9.5.7 in InfoSphere Warehouse 9.7, only the public bookmarks are visible. The workaround is to change all private bookmarks in Alphablox applications to public bookmarks before the migration. After migration is completed, you can change any public bookmarks to private bookmarks, and these private bookmarks will be visible.
ChartBlox attribute aggregateIdenticalInstances does not work as documented.
According the Alphablox documentation, when the value for ChartBlox attribute aggregateIdenticalInstances is set to true, the data of the identical instances will be aggregated. However, the data of identical instances will not be aggregated unless two other attributes, rowsOnXAxis and rowHeaderColumn, are both set to their default values. When you intend to have the identical series aggregated in a chart, ensure the values for rowsOnXAxis and rowHeaderColumn are both set to the default values.
The IBM Alphablox documentation incorrectly states that Blox Builder can be installed in Rational Application Developer Version 7
The Alphablox documentation states that Blox Builder can be installed in Rational Application Developer (RAD) v7, but this is incorrect. Blox Builder cannot be installed in RAD 7.
Login exception occurs when you log into the Alphablox Administrative page after Alphablox is installed on Tomcat 5.5.26 or later versions.
You can successfully install Alphablox on Tomcat 5.5.26 or later versions, but when you log into the Alphablox Administrative page after the installation is completed, a login exception will occur. To avoid this problem, you can use the versions of Tomcat from 5.5.17 to 5.5.25.
Submenus in Alphablox reports display abnormally in Internet Explorer 8 when you right-click the reports
If you use Alphablox with Internet Explorer 8, when you right-click the reports, the submenus are skewed to the left and blink a few times. Although the submenus can still be used, they are not displayed in the right positions. To solve this problem, you need to enable the Allow script-initiated windows without size or position constraints option from the Internet Setting for the Internet Zone. Complete the following steps to enable this option:
  1. In Internet Explorer 8, click Tools->Internet Options. The Internet Options window opens.
  2. Click the Security tab, and select Internet from the four security zones.
  3. Click the Custom Level button to open the security settings window.
  4. Scroll down the list of settings to the Miscellaneous section, select Enable under the Allow script-initiated windows without size or position constraints option, and click OK to save the changes.
  5. Click OK again to return to the main window of Internet Explorer.
The x1AxisEndMargin attribute for ChartBlox property formatProperties is not documented
The Alphablox documentation states that the formatProperties property for chart tag is used only to set individual data series colors, the x-axis text rotation custom angle, and the waterfall color array. This property can also be used to configure the right margin of a chart by adding the x1AxisEndMargin attribute to the arguments for formatProperties. When the x Axis labels in a chart are truncated, you can either increase the right margin by using the x1AxisEndMargin, or rotate the labels by using the XAxisTextRotation attribute. Here is an example with the x1AxisEndMargin attribute:
formatProperties="colorSeries_default_0 = {foreground:yellow;},
colorSeries_default_1 = {foreground:red;}, 
colorSeries_default_4 = {foreground:#FF9900;},
chart = {x1AxisEndMargin:20;}"
Starting the stand-alone Blox Builder fails in a new workspace on Linux
If you use the stand-alone Blox Builder v9.5.7 on Linux, when you start Blox Builder the first time in a new workspace, an error might occur. The error message in the workspace log looks like this:
org.eclipse.swt.SWTError: XPCOM error -2147467262 
at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:1638)
at org.eclipse.swt.browser.Mozilla.setText(Mozilla.java:1861)
at org.eclipse.swt.browser.Browser.setText(Browser.java:737) 
This error is caused by Eclipse not being able to display the welcome page the first time a new workspace is used. To work around this problem, you can bypass the welcome page by running the following commands in the command line of Linux:
echo "org.eclipse.ui/showIntro=false" > /tmp/noWelcomeScreen.ini
eclipse -pluginCustomization /tmp/noWelcomeScreen.ini

Known issues and limitations for previous releases are documented in the Support knowledge base at www.ibm.com/software/data/db2/alphablox/support.html


Related information

Download IBM Alphablox 9.5.7

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

DB2 Alphablox

Software version:

9.5

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

All Editions

Reference #:

1389276

Modified date:

2009-08-27

Translate my page

Machine Translation

Content navigation